body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    width: 100vw;
    max-width: 100%;
    margin: 0;
    padding: 0;
    color: #3d3d3d;
    overflow-x: hidden;
    --height-header: 100px;
    --max-width: 600px;
    --line-height: 40px;
    --line-height-body: 25px;
    --rule-height: 1px;
    --side-padding: 35px;
    --blog-header-height: 200px;
    --padding-title: 20px;
    --padding-paragraph: 10px;
    --main-color: #2B366B;
    --secondary-color: #7E73AE;
    --specific-color: white;
    --blog-color: #2B366B;
    --blog-color-title: white;
    --surcouche-color: rgb(255, 255, 255, 0.75)
}

/*https://stackoverflow.com/questions/643879/css-to-make-html-page-footer-stay-at-bottom-of-the-page-with-a-minimum-height-b?page=1&tab=scoredesc#tab-top*/

body>* {
    flex: 1;
    font-family: Arial, sans-serif;
    font-size: 16px;
}

.overflow-body {
    overflow: hidden
}

/*------------common mise en page----------------------*/

.surcouche {
    background-color: var(--surcouche-color);
    min-height: calc(100vh - var(--height-header) - var(--line-height));
}

.container {
    margin: 0 calc(50% - var(--max-width));
    padding: var(--padding-title) var(--side-padding);
}

.flex {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

h1,
h2,
h3 {
    font-family: 'Gloria Hallelujah';
    font-style: italic;
    color: var(--main-color);
}

h1 {
    font-size: 30px;
}

h2 {
    font-size: 23px;
}

.title {
    margin-top: 0;
    margin-bottom: 0;
    padding-top: var(--padding-title);
    padding-bottom: var(--padding-title);
    line-height: var(--line-height);
}

.paragraph {
    margin-top: 0;
    margin-bottom: 0;
    padding-bottom: var(--padding-paragraph);
    padding-top: var(--padding-paragraph);
    line-height: var(--line-height-body);
    text-align: justify;
}

ul,
ol {
    list-style-position: inside;
    padding: 0 0;
    margin: 0 0
}

li {
    padding: 0;
    margin: 0
}

.hline:after {
    content: "";
    display: block;
    border-bottom: 1px solid black;
}

.source {
    text-align: right;
    font-style: italic;
}

@media screen and (max-width: 1200px) {
    .container {
        margin: 0 0;
    }
}

@media screen and (max-width:480px) {
    .paragraph {
        text-align: left;
    }

    .source {
        width: unset;
    }

}

/* ---------------background image properties -----------------*/

.insolences20222023 {
    background: url(/INsolences/background.png);
}

.insolences20232024 {
    background-color: rgb(226, 151, 111);
}

.insolences20242025 {
    background-color: rgb(79, 168, 174);
}

.hap20222023 {
    background: url(/hap/Logo.png);
}

.international-background {
    background: linear-gradient(#e66465, rgb(145, 152, 229));
}

.as-background {
    background: linear-gradient(#e66465, rgb(145, 152, 229));
}

.oceans-poles20222023 {
    background: url(/edd/oceans-poles-tryptique-2.jpg);
    --surcouche-color: rgb(230, 227, 207, 0.75)
}

#presentation {
    background-image: url(/assets/renan.jpg);
}

#historique {
    background-image: url(/lycee/historique/historique-2.jpg);
}

#lieux {
    background-image: url(/INsolences/pastoureau-2-2-24/2.webp);
}

.insolences20222023,
.insolences20232024,
.insolences20242025,
.hap20222023,
.international-background,
.as-background,
.oceans-poles20222023,
#presentation,
#historique,
#lieux,
.hap2023 {
    width: 100%;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
    background-repeat: no-repeat;
}

@media screen and (max-width: 960px) {

    .insolences20222023,
    .insolences20232024,
    .insolences20242025,
    .hap20222023,
    .international-background,
    .as-background,
    .oceans-poles20222023,
    #presentation,
    #historique,
    #lieux,
    .hap2023 {
        background-image: none;
        --surcouche-color: unset
    }

}

/* ---------------------- common icon ----------------------- */

#sidebar .accordion:after,
.download-icon:after,
.serie-flex .accordion:after,
.follow-icon:after {
    display: inline-block;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit !important;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale
}

/*common href download or follow link animation
https://www.dannyguo.com/blog/animated-multiline-link-underlines-with-css*/

.href-animation {
    text-decoration: none;
    color: inherit;
    background-image: linear-gradient(currentColor, currentColor);
    background-position: 0% 100%;
    background-repeat: no-repeat;
    background-size: 0% 1px;
    transition: background-size .3s;
    font-style: italic;
    font-weight: bold;
}

.href-animation:hover {
    background-size: 100% 1px;
}

.download-icon:after {
    content: '\f019';
    color: currentColor
}

.follow-icon:after {
    content: '\f054';
    color: currentColor
}

@media screen and (pointer:coarse) {

    .href-animation:hover {
        background-size: 0% 1px;
    }

    .href-animation {
        background-size: 100% 1px;
    }

}

/* ------------------ common tableau ----------------------- */

table {
    margin-bottom: var(--padding-paragraph);
    margin-top: var(--padding-paragraph);
    color: black;
    width: 100%;
    table-layout: fixed;
    border-collapse: collapse;
    text-align: center;
}

tr {
    padding: 8px;
    height: var(--line-height);
}

tbody>tr:nth-child(2n) {
    background-color: var(--main-color);
}

thead,
.section-header {
    background-color: var(--specific-color) !important;
    font-weight: bold;
}

/* ------------------ reseaux sociaux ------------------ */

.follow {
    max-width: 50%;
    height: var(--line-height);
    justify-content: space-around;
    margin-left: auto;
    margin-right: auto;
    align-self: center;
    flex-grow: 1;
}

.follow a {
    position: relative;
}

.follow img {
    width: var(--line-height);
    height: var(--line-height);
    object-fit: contain;
    /*override precedent*/
}

.message-on-hover {
    display: none;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px;
    /* Position the tooltip */
    position: absolute;
    z-index: 100;
    left: 15px;
    top: calc(-0.4 * var(--line-height));
    font-size: small;
    line-height: calc(0.4 * var(--line-height));
    width: fit-content;
    white-space: nowrap;
}

.follow a:hover .message-on-hover {
    display: block;
}

.social-box {
    filter: grayscale(100%);
    cursor: pointer;
    text-decoration: none;
}

.social-box:hover {
    filter: none;
}

@media (pointer:coarse) {

    .social-box {
        filter: unset;
        cursor: default;
    }

    .social-color {
        display: unset;
    }

    .social-white {
        display: none !important;
    }

}

.no-triangle:after {
    content: '' !important;
}

#sidebar .active:after {
    content: '\f0d7' !important;
}

@media screen and (max-width: 1024px),
(pointer : coarse) {

    /*https://stackoverflow.com/questions/38069213/add-padding-top-to-scroll-when-using-href-id*/
    #bourses,
    #breizhgo,
    #tarifs,
    #paiement-en-ligne,
    #rencontre,
    #hypokhagne,
    #khagne,
    #info,
    #paroles-anciens,
    #resultats-cpge,
    #debouches,
    #bel,
    #conventions,
    #hors-bel,
    #universite,
    #pdes,
    #sciences-po,
    #actu {
        scroll-margin-top: var(--height-header);
    }

}

b {
    margin-right: -4px;
}

.accordion {
    --line-height-body: 30px;
    font-weight: bold;
    background-color: inherit;
    border: 0px;
    cursor: pointer;
    text-align: left;
    line-height: var(--line-height-body);
}

.line {
    width: 3px;
    flex-shrink: 0;
    margin-right: calc(var(--side-padding) - 3px);
    align-self: stretch;
}


.important-text {
    font-weight: bold;
    color: var(--specific-color) !important;
}

/*specifique aux formations : animation de la ligne à gauche à la github*/

.revealY {
    transform: scaleY(0);
    transition: 1s all ease;
    transform-origin: 0 0;
}

.activeY {
    transform: scaleY(1);
    opacity: 1;
}

/*Slider*/

.slider-image,
.standalone-image {
    background-color: unset;
    max-width: calc(0.75 * 1320px);
    height: auto;
    position: relative;
    overflow-x: hidden;
    margin-left: auto;
    margin-right: auto;
}

.slider-image {
    border: solid 1px black;
}

.slider-image img,
.slider-actu img,
.standalone-image img {
    width: 100%;
    max-height: 400px;
    object-fit: contain;
}

.slider-image .fa-angle-right,
.slider-image .fa-angle-left,
.photo-number {
    position: absolute;
    color: white;
    background-color: rgba(0, 15, 51, .5);
    border-radius: 8px;
    width: 40px;
    height: 40px;
    line-height: 40px !important;
    text-align: center
}

.slider-image .fa-angle-right {
    top: calc(50% - 20px);
    right: 8px;
}

.slider-image .fa-angle-left {
    top: calc(50% - 20px);
    left: 8px;
}

.slider-image .fa-angle-right:hover,
.slider-image .fa-angle-left:hover {
    cursor: pointer;
}

@media (pointer : coarse) {

    .slide .fa-angle-right,
    .slide .fa-angle-left {
        display: none !important;
    }

}

.photo-number {
    top: 8px;
    right: 8px;
    min-width: 50px;
}

.slider-actu {
    align-items: baseline;
    overflow-x: hidden;
}

.slide {
    width: 100%;
    flex-shrink: 0;
    transition: transform 1s ease-in-out;
}

.slide-image {
    cursor: pointer;
    padding-left: calc(2*var(--side-padding));
}

.slide-content {
    color: inherit;
    text-align: justify;
    justify-content: space-between;
    line-height: var(--line-height-body);
}

.slide-title,
.slide-date {
    font-size: 20px;
    font-style: italic;
    font-weight: bold;
}

button,
.boole-button {
    width: 150px;
    height: 40px;
    margin: var(--padding-paragraph) 2px;
    padding: 0 0;
    border-radius: 50px;
    border: 0;
    background-color: var(--blog-color);
    text-align: center;
    color: white;
    cursor: pointer;
    line-height: var(--line-height);
}

@media screen and (max-width: 1024px) {

    #button-blog {
        display: block !important;
    }

    .slider-image,
    .slider-actu {
        padding: 0 0;
        width: 100%;
        box-sizing: border-box;
        align-items: flex-start;
        flex-shrink: 1;
        max-width: unset;
    }

    .slider-image {
        margin-left: calc(-1 * var(--side-padding));
        margin-right: 0;
        width: calc(100% + 2 * var(--side-padding)) !important
    }

    .slide-title,
    .slide-text,
    .slide-date {
        padding-left: var(--side-padding);
        padding-right: var(--side-padding)
    }

    .slide-content {
        flex-direction: column-reverse;
        align-items: flex-start;
    }

    .slider-actu {
        flex-direction: column;
    }

    .slider-actu .slide:nth-child(2n+1) {
        background-color: var(--blog-color-transparency);
        color: white
    }

    .slider-actu .slide:nth-child(2n) .slide-text {
        color: black;
    }

    .slide-image {
        padding-top: 0;
        padding-bottom: var(--padding-paragraph);
        align-self: center;
        padding-left: 0;
    }

    .slide-image img {
        max-width: unset;
        width: 100%;
    }

    #presentation .hline:after {
        display: none;
    }

    #header-yl {
        position: relative;
    }

}

.row-to-column {
    justify-content: space-around;
}

.row-to-column a,
.row-to-column .slider-image {
    width: 45%;
}

.row-to-column .video {
    max-width: 30%
}

.row-to-column img {
    width: 100%;
}


#all:hover {
    transition: 1s ease !important;
}


/*Specifites blog page */
.blog-header>* {
    text-align: center !important;
}

@media screen and (max-width: 600px) {

    .row-to-column a {
        width: 100%;
    }

    .row-to-column .video {
        max-width: 60%
    }

}

.infirmerie {
    font-weight: bold;
    color: var(--main-color)
}

.show {
    display: block;
}

/*https://stackoverflow.com/questions/38069213/add-padding-top-to-scroll-when-using-href-id*/
#bourses,
#breizhgo,
#tarifs,
#paiement-en-ligne,
#rencontre,
#hypokhagne,
#khagne,
#info,
#paroles-anciens,
#resultats-cpge,
#debouches,
#bel,
#conventions,
#hors-bel,
#universite,
#sciences-po,
#pdes,
#sections,
#actu {
    scroll-margin-top: var(--line-height);
}

.video {
    width: 80%;
    display: block;
    margin: 0 auto;
    max-height: 75vh;
}

@media screen and (max-width: 1024px) {

    .video,
    #actu-slide-container,
    .standalone-image {
        margin-left: calc(-1 * var(--side-padding));
        margin-right: 0;
        width: calc(100% + 2 * var(--side-padding))
    }
}

.logo-ext-fa {
    display: none;
}

@media screen and (max-width: 960px) {

    .logo-ext-fa {
        padding-left: var(--side-padding);
        padding-right: var(--side-padding);
        width: 40px;
        height: 100px;
        line-height: 100px !important;
        z-index: 100;
        text-align: center;
        cursor: pointer;
        background-color: white;
        display: block;
    }

    .logo-ext-fa .fa-angle-right {
        top: calc(50% - 0.21875*var(--line-height));
        right: 0;
        position: relative;
    }

    .logo-ext-fa .fa-angle-left {
        top: calc(50% - 0.21875*var(--line-height));
        left: 0;
        position: relative;
    }

}

.sub-list {
    margin-left: var(--side-padding);
}

.flex-right-item-left-margin {
    padding-left: calc(2*var(--side-padding));
}

@media screen and (max-width: 840px) {

    .flex-right-item-left-margin {
        padding-left: 0;
    }

    .row-to-column {
        flex-direction: column;
        align-items: center;
    }

    .row-to-column .slider-image {
        align-self: flex-start;
    }

    .row-to-column a {
        width: 80%;
    }

    .row-to-column .video {
        max-width: 50%
    }

    .row-to-column a {
        margin-left: calc(-1 * var(--side-padding));
        margin-right: 0;
        width: calc(100% + 2 * var(--side-padding))
    }

}

.container-pictos {
    text-align: center;
    margin-top: 10px
}

.pictos {
    width: auto !important;
    height: 60px !important;
}

.boole-button {
    background-color: var(--blog-color);
    color: var(--blog-color-title);
    width: 200px !important;
    border-radius: 0px !important;
    text-decoration: none;
    font-weight: bold;
}

.boole-button:hover .fa-arrow-right,
.boole-button.follow-icon:hover::after {
    transform: translateX(2px);
}

.boole-button:hover .fa-arrow-left {
    transform: translateX(-2px);
}

.href-animation-disable {
    background-size: 0% 1px !important;
}

.boole-button {
    display: block !important;
}

@media screen and (max-width: 840px) {
    #flex-boole-button>.boole-button {
        flex-grow: 1
    }
}

@media screen and (max-width: 600px) {
    #load-more-container>.boole-button {
        flex-grow: 1
    }
}

.text-align-center {
    text-align: center;
}

.photo-slide-css {
    text-align: center;
    width: 100%;
    position: relative;
}

.flex-end {
    justify-content: flex-end;
}

/* Scroll hide transition */
.follow {
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

/* ----------------------- carte/vignettes ----------------*/

.list-card {
    flex-wrap: wrap;
    align-items: stretch;
    justify-content: flex-start;
}

.card {
    display: block;
    cursor: default;
    margin: 15px 15px;
    max-width: 30%;
    border-radius: 5px;
    border: 2px solid;
    position: relative;
    flex: 1 0 calc(30% - 30px);
    box-shadow: 0px 8px 30px 0px var(--blog-color-transparency);
    text-align: left;
    transition: 0.5s ease;
    background-color: white;
    overflow-y: hidden;
    line-height: var(--line-height-body);
}

.card-title {
    font-weight: bold;
    font-size: larger;
    margin: 10px 10px;
    color: var(--main-color);
}

.card-content {
    margin: var(--padding-paragraph) var(--padding-paragraph);
}

.blog-date {
    color: gray;
    font-size: small;
    margin: 10px 10px;
}

.blog-title {
    margin-bottom: 100px;
}

.post-blog img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    vertical-align: bottom;
    transition: transform 0.25s ease;
}

.post-blog:hover img {
    transform: scale(1.1);
}

.post-blog button {
    height: 50px !important;
    margin: 0px 0 !important;
    border: 0px !important;
    width: 100% !important;
    display: block !important;
    bottom: 0px !important;
    position: absolute !important;
    background-color: var(--blog-color);
    border-radius: 0px !important;
    font-weight: bold !important;
    color: var(--blog-color-title);
    font-size: medium;
    cursor: pointer;
    border-top: 1px solid var(--menu-color) !important;
}

@media screen and (max-width: 1024px) {
    .card {
        flex: 1 0 calc(45% - 30px);
        max-width: 45%;
    }
}

@media screen and (max-width: 600px) {
    .card {
        flex: 1 0 100%;
        margin: 15px -4px;
        max-width: 100%
    }
}